<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Ecommerce</title>
    <link rel="stylesheet" th:href="@{/css/Design.css}">
</head>
<body>
<header th:replace="~{common/header}">My header here</header>

<h2>Products</h2>

<div class="container">
    <div class="container-item" th:each="product: ${products}"  >
        <div class="item-details">
            <p>Product: <span th:text="${product.name}">[Product Name]</span></p>
            <p>Price: $<span th:text="${product.price}">[Product Price]</span></p>
            <p>Seller: <span th:text="${product.seller.username}">[Seller Name]</span></p>
        </div>
        <div class="container-functions">
            <a class="view" th:href="@{/product/view/{id}(id=${product.id})}">View</a>
            <a class="update" th:href="@{/product/edit/{id}(id=${product.id})}">Update</a>
        </div>
    </div>

</div>


<footer th:replace="~{common/footer}">My footer here</footer>
</body>
</html>